BLKDISCARD(8)

BEZEICHNUNG
blkdiscard - Sektoren auf einem Gerät verwerfen

ÜBERSICHT

blkdiscard [Optionen] [-o Versatz] [-l Länge] Gerät

BESCHREIBUNG

blkdiscard wird zum Verwerfen von Gerätesektoren verwendet. Dies ist für Solid State Drives (SSDs) und sonstige Geräte mit geringem Speicherplatz nützlich. Im Gegensatz zu fstrim(8) wird dieser Befehl direkt auf dem blockorientierten Gerät angewendet.

Per Vorgabe verwirft blkdiscard alle Blöcke eines Gerätes. Zum Anpassen des Verhaltens sind Optionen verfügbar, die auf Bereichen oder Größenangaben basieren, wie nachfolgend erläutert.

Das Argument Gerät ist der Pfadname zu dem blockorientierten Gerät.

WARNUNG: Alle Data im verworfenen Bereich des Gerätes gehen verloren!

Seit util-liux v2.41 ist fdisk in der Lage, mit dem Befehl »T« Sektoren auf sowohl Partitionen als auch unpartitionierten Bereichen zu verwerfen. Zusätzlich verfügt sfdisk über die Option --discard-free, um unpartitionierte Bereiche zu verwerfen.

OPTIONEN

Den Argumenten Versatz und Länge kann eines der multiplikativen Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, zum Beispiel ist »K« gleichbedeutend mit »KiB«) oder die Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB folgen.

-f, --force
    deaktiviert sämtliche Überprüfungen. Seit Version 2.36 ist das blockorientierte Gerät standardmäßig im exklusiven Modus (O_EXCL) geöffnet, um Kollisionen mit dem eingehängten Dateisystem oder einem anderen Kernel-Subsystem zu vermeiden. Die Option --force deaktiviert den exklusiven Zugriffsmodus.

-o, --offset Versatz
    ist der Byte-Versatz des Gerätes, wo mit der Verwerfung begonnen werden soll. Der angegebene Wert muss an der Sektorengröße des Gerätes ausgerichtet sein. Der Vorgabewert ist 0.

-l, --length Länge
    bezeichnet die Anzahl der zu verwerfenden Bytes (vom Anfangspunkt gezählt). Der angegebene Wert muss an der Sektorengröße des Gerätes ausgerichtet sein. Falls dieser Wert das Ende des Gerätes überschreitet, stoppt blkdiscard, wenn das Ende der Gerätegröße erreicht ist. Der Vorgabewert ist das Ende des Gerätes.

-p, --step Länge
    gibt die während eines Durchlaufs zu verwerfenden Bytes an. In der Voreinstellung werden alle Bytes mit einem Ioctl-Aufruf verworfen.

-q, --quiet
    unterdrückt Warnmeldungen.

-s, --secure
    führt ein sicheres Verwerfen aus. Das ist das gleiche wie ein reguläres Verwerfen, außer dass alle Kopien der verworfenen Blöcke, die möglicherweise in der Müll-Sammlung erzeugt wurden, auch verworfen werden müssen. Dieser Vorgang muss vom jeweiligen Gerät unterstützt werden.

-z, --zeroout
    füllt mit Nullen, statt zu verwerfen.

-v, --verbose
    zeigt die ausgerichteten Werte für Versatz und Länge an. Wenn die Option --step angegeben ist, wird der Fortschritt des Verwerfungsvorgangs im Sekundentakt angezeigt.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

blkdiscard gibt die folgenden Rückgabewerte aus:

0
    Erfolg

1
    Fehlschlag; fehlerhafter Aufruf, Zugriffsrechte- oder sonstiger allgemeiner Fehler

2
    Fehlschlag; seit Version 2.39: Das Gerät unterstützt die Verwerfungsaktion nicht.

AUTOREN

SIEHE AUCH

fstrim(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl blkdiscard ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.